%define fontname tiresias
%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

Name:		%{fontname}-fonts
Summary: 	Low vision fonts
Version:	1.0
Release:	2%{?dist}
License:	GPLv3+
Group:		User Interface/X
Source0:	http://www.tiresias.org/fonts/infofont.zip
Source1:	http://www.tiresias.org/fonts/keyfont.zip
Source2:	http://www.tiresias.org/fonts/lpfont.zip
Source3:	http://www.tiresias.org/fonts/pcfont.zip
Source4:	http://www.tiresias.org/fonts/signfont.zip
URL:		http://www.tiresias.org/fonts/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
The Tiresias family of fonts has been designed for use in multiple environments 
to help improve legibility, especially for individuals with visual impairment.
It includes specialized fonts for information labels, control labels (for key
tops), large print publications, computer systems, television subtitling, and 
signs.

%prep
%setup -q -c -n %{name}
%{__unzip} -qqo %{SOURCE1}
%{__unzip} -qqo %{SOURCE2}
%{__unzip} -qqo %{SOURCE3}
%{__unzip} -qqo %{SOURCE4}
for f in *.TTF; do 
	newname=`echo "$f"|sed -e 's/.TTF/.ttf/'`;
	mv "$f" "$newname"; 
done;
# correct end-of-line encoding
sed -i 's/\r//' COPYING/gpl.txt

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{fontdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
		%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%files
%defattr(0644,root,root,0755)
%doc COPYING/copying.doc COPYING/gpl.txt
%dir %{fontdir}
%{fontdir}/*.ttf 

%changelog
* Wed Jan  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-2
- font versions didn't change, but sha1sums did

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-1
- Initial package for Fedora
